﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KalkulatorProsty
{
    public partial class Form1 : Form
    {
        float a = 0, b = 0, w = 0;
        enum Dzialanie {BRAK,
                    DODAWANIE,
                    ODEJMOWANIE,
                    DZIELENIE,
                    MNOZENIE};
        Dzialanie dzialanie=Dzialanie.BRAK;

        private void button1_Click(object sender, EventArgs e)
        {
            Control c = (Control)sender;
            textBox1.Text+=c.Text;
        }

        private void button16_Click(object sender, EventArgs e)
        {
            //wyskocz jak puste
            if (textBox1.Text.Length < 0) return;
            a=(float)Convert.ToDouble(textBox1.Text);
            textBox1.Text = "";
            //określ wybrane działanie wykorzystujac funkcję switch
            Control c = (Control)sender;
            switch (c.Text)
            {
                case "/":dzialanie = Dzialanie.DZIELENIE; break;
                case "*": dzialanie = Dzialanie.MNOZENIE; break;
                case "-": dzialanie = Dzialanie.ODEJMOWANIE; break;
                case "+": dzialanie = Dzialanie.DODAWANIE; break;
                default:dzialanie=Dzialanie.BRAK; break;
            }
        }

        private void button17_Click(object sender, EventArgs e)
        {
            //konwertuj jak nie jest puste
            if (textBox1.Text.Length > 0) b = (float)Convert.ToDouble(textBox1.Text);
            else b = 0;
            //wykonaj wybrane działanie
            switch (dzialanie)
            {
                case Dzialanie.DODAWANIE: w = a + b;break;
                default:w = a;break;
            }
            //wypisz wynik
            textBox1.Text = w.ToString();
            //zeruj wartości
            a = 0;
            b = 0;
            w = 0;
            dzialanie = Dzialanie.BRAK;
        }

        private void button12_Click(object sender, EventArgs e)
        {
            //dodanie znaku +/-
            if (textBox1.Text.Length < 1) return;
            string zrodlo = textBox1.Text;
            if (zrodlo[0] != '-')
                textBox1.Text = "-" + textBox1.Text;
            else
                textBox1.Text = zrodlo.Substring(1, zrodlo.Length - 1);
        }

        private void button10_Click(object sender, EventArgs e)
        {
            //dodanie znaku .
            if (textBox1.Text.Length < 1) return;
            string zrodlo = textBox1.Text;
            if (zrodlo[zrodlo.Length - 1] != ',')
                textBox1.Text = textBox1.Text+",";
            else
                textBox1.Text = zrodlo.Substring(0, zrodlo.Length - 2);
        }

        private void button20_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button19_Click(object sender, EventArgs e)
        {
            textBox1.Text = "";
        }

        private void button18_Click(object sender, EventArgs e)
        {
            //usunięcie ostatniej wprowadzonej cyfry
            if (textBox1.Text.Length < 1) return;
            string zrodlo=textBox1.Text;
            textBox1.Text = zrodlo.Substring(0,zrodlo.Length-1);
        }

        public Form1()
        {
            InitializeComponent();
        }

    }
}
